Issue 15532

Summary: Ability to select multiple columns/rows in table without dragging
Product: Writer Reporter: rabauke <sven.burmeister>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: esigra, guido.pinkernell, issues
Version: OOo 1.1 Beta2Keywords: oooqa, rfe_eval_ok, usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description rabauke 2003-06-11 20:53:52 UTC
At the moment it is not possible to select multiple columns/rows in a table
(writer) without dragging which is not an option in large tables.

1. Select column:
At the moment, either right-click > column > select, or dragging.

Proposition: Click just below or just above the column to be selected. For
multiple columns hold down CTRL (only selecting those clicked) or SHIFT (from
current to next click).

2. Select row:
Same as above.

3. Select table and deleting selection:
At the moment CTRL-A selects all the content, or one has to place the cursor in
the line above the table and drag into the first row, which selects the whole table.

Proposition: Click at just outside a table's corner to select the whole table,
both structure and content. The latter is especially useful, if there are
different keys for different kind of deleting, which is not part of this issue
and will be filed in a different one. I will add a comment with the refering
issue-number.
Comment 1 eric.savary 2003-06-12 13:49:06 UTC
NEW
Comment 2 eric.savary 2003-06-12 13:49:37 UTC
Reassigned to BH
Comment 3 bettina.haberer 2003-10-14 14:08:10 UTC
The Writer table needs the ability for multiselection of cells (for
cell content it works) to ease i.e. quick formatting of several cells.
If that is possible, the possibility to multiselect columns and rows
at once could be cosidered too.
BH->AMA: Please give approval for this evaluated OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 4 andreas.martens 2003-12-15 09:04:22 UTC
Even it's a nice feature, the effort is very high. At the moment I don't see a
chance to get it implemented for OOo2.0.
Comment 5 rabauke 2003-12-15 18:48:48 UTC
Actually it's a standard feature. Every other wordprocessing software I know can
do this.
Comment 6 guido.pinkernell 2004-02-12 10:27:24 UTC
This could be a duplicate of Issue 10256 or, at least, depends on Issue 10256.
Comment 7 lohmaier 2004-12-24 23:55:12 UTC
reassigning,setting keywords
Comment 8 lohmaier 2005-01-24 19:08:58 UTC
*** Issue 41179 has been marked as a duplicate of this issue. ***
Comment 9 hurzler 2007-10-07 18:29:50 UTC
I don't understand why this issue is so neglected. It seems so intuitive and
standard to be able to do this. It would greatly simplify and speed up working
with tables.

There are several methods for selecting in OO Writer:
 - Ctrl/Shift + mouse (only works for text)
 - Shift+F8 (add mode, only works for text)
 - Right-click -> Select row/column (can only select one)
Ctrl/Shift is of course the most intuitive, but if you could make any of those
methods available for table components, please...

And to emphasize the original reporters original report:
It's not even possible to select multiple table rows spanning more than one page
by dragging. (!)
Comment 10 j6502 2007-10-24 18:56:29 UTC
This needs to be fixed.  How can this languish for so long?  This seems like
rudimentary functionality.